commit:     24dfb421738b1d343d1d9a4c1cb72ffdcaf4f059
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 15 08:50:10 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Apr 15 09:11:20 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24dfb421

games-arcade/aop: Stop using games.eclass

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 games-arcade/aop/aop-0.6-r1.ebuild             | 32 ++++++++++++++++++++++++++
 games-arcade/aop/files/aop-0.6-as-needed.patch |  4 ++--
 2 files changed, 34 insertions(+), 2 deletions(-)

diff --git a/games-arcade/aop/aop-0.6-r1.ebuild 
b/games-arcade/aop/aop-0.6-r1.ebuild
new file mode 100644
index 00000000000..751bc0e7fd1
--- /dev/null
+++ b/games-arcade/aop/aop-0.6-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Ambassador of Pain is a curses based game with only 64 lines of 
code"
+HOMEPAGE="http://raffi.at/view/code/aop";
+SRC_URI="http://www.raffi.at/code/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND="sys-libs/ncurses:0"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+src_prepare() {
+       default
+       sed -i \
+               -e "s#/usr/local/share#${GAMES_DATADIR}#" \
+               aop.c || die
+       eapply "${FILESDIR}"/${P}-as-needed.patch
+}
+
+src_install() {
+       dobin aop
+       insinto "/usr/shate/${PN}"
+       doins aop-level-*.txt
+       einstalldocs
+}

diff --git a/games-arcade/aop/files/aop-0.6-as-needed.patch 
b/games-arcade/aop/files/aop-0.6-as-needed.patch
index 5d70e2b01af..f172919553b 100644
--- a/games-arcade/aop/files/aop-0.6-as-needed.patch
+++ b/games-arcade/aop/files/aop-0.6-as-needed.patch
@@ -1,5 +1,5 @@
---- Makefile.old       2009-01-30 17:00:58.000000000 +0100
-+++ Makefile   2009-01-30 17:01:15.000000000 +0100
+--- a/Makefile.old     2009-01-30 17:00:58.000000000 +0100
++++ b/Makefile 2009-01-30 17:01:15.000000000 +0100
 @@ -1,5 +1,5 @@
  
 -LDFLAGS = -lncurses

Reply via email to